=== modified file 'drizzled/drizzled.cc'
--- drizzled/drizzled.cc	2009-04-08 03:20:31 +0000
+++ drizzled/drizzled.cc	2009-04-08 16:11:12 +0000
@@ -281,14 +281,12 @@
 uint32_t server_id;
 uint64_t table_cache_size;
 uint64_t table_def_size;
-uint64_t slow_launch_time;
 uint32_t refresh_version;  /* Increments on each reload */
 uint64_t aborted_threads;
 uint64_t aborted_connects;
 uint64_t max_connect_errors;
 uint32_t thread_id=1L;
 pid_t current_pid;
-uint64_t slow_launch_threads= 0;
 
 const double log_10[] = {
   1e000, 1e001, 1e002, 1e003, 1e004, 1e005, 1e006, 1e007, 1e008, 1e009,
@@ -2638,7 +2636,6 @@
   {"Select_range",             (char*) offsetof(STATUS_VAR, select_range_count), SHOW_LONG_STATUS},
   {"Select_range_check",       (char*) offsetof(STATUS_VAR, select_range_check_count), SHOW_LONG_STATUS},
   {"Select_scan",	       (char*) offsetof(STATUS_VAR, select_scan_count), SHOW_LONG_STATUS},
-  {"Slow_launch_threads",      (char*) &slow_launch_threads,    SHOW_LONGLONG},
   {"Slow_queries",             (char*) offsetof(STATUS_VAR, long_query_count), SHOW_LONG_STATUS},
   {"Sort_merge_passes",	       (char*) offsetof(STATUS_VAR, filesort_merge_passes), SHOW_LONG_STATUS},
   {"Sort_range",	       (char*) offsetof(STATUS_VAR, filesort_range_count), SHOW_LONG_STATUS},
@@ -2729,7 +2726,6 @@
   ready_to_exit= shutdown_in_progress= 0;
   aborted_threads= aborted_connects= 0;
   max_used_connections= 0;
-  slow_launch_threads= 0;
   drizzled_user= drizzled_chroot= opt_init_file= 0;
   my_bind_addr_str= NULL;
   memset(&global_status_var, 0, sizeof(global_status_var));

=== modified file 'drizzled/server_includes.h'
--- drizzled/server_includes.h	2009-04-03 07:10:07 +0000
+++ drizzled/server_includes.h	2009-04-08 16:11:12 +0000
@@ -115,7 +115,6 @@
 extern uint64_t aborted_threads;
 extern uint64_t aborted_connects;
 extern uint64_t slow_launch_threads;
-extern uint64_t slow_launch_time;
 extern uint64_t table_cache_size;
 extern uint64_t table_def_size;
 extern uint64_t max_connect_errors;

=== modified file 'drizzled/set_var.cc'
--- drizzled/set_var.cc	2009-04-08 03:20:31 +0000
+++ drizzled/set_var.cc	2009-04-08 16:11:12 +0000
@@ -270,8 +270,6 @@
 static sys_var_uint32_t_ptr  sys_server_id(&vars, "server_id", &server_id,
                                            fix_server_id);
 
-static sys_var_uint64_t_ptr	sys_slow_launch_time(&vars, "slow_launch_time",
-                                             &slow_launch_time);
 static sys_var_session_size_t	sys_sort_buffer(&vars, "sort_buffer_size",
                                                 &SV::sortbuff_size);
 /*

=== modified file 'drizzled/sql_connect.cc'
--- drizzled/sql_connect.cc	2009-04-03 22:18:21 +0000
+++ drizzled/sql_connect.cc	2009-04-08 16:11:12 +0000
@@ -59,8 +59,6 @@
 pthread_handler_t handle_one_connection(void *arg)
 {
   Session *session= static_cast<Session*>(arg);
-  uint32_t launch_time= (uint32_t) ((session->thr_create_utime= my_micro_time()) -
-                              session->connect_utime);
 
   Scheduler &thread_scheduler= get_thread_scheduler();
   if (thread_scheduler.init_new_connection_thread())
@@ -70,8 +68,6 @@
     thread_scheduler.end_thread(session,0);
     return 0;
   }
-  if (launch_time >= slow_launch_time*1000000L)
-    statistic_increment(slow_launch_threads,&LOCK_status);
 
   /*
     handle_one_connection() is normally the only way a thread would

=== modified file 'tests/r/variables.result'
--- tests/r/variables.result	2009-04-02 23:43:48 +0000
+++ tests/r/variables.result	2009-04-08 16:11:12 +0000
@@ -9,7 +9,6 @@
 set @my_net_write_timeout         =@@global.net_write_timeout;
 set @my_net_read_timeout          =@@global.net_read_timeout;
 set @my_server_id                 =@@global.server_id;
-set @my_slow_launch_time          =@@global.slow_launch_time;
 set @my_storage_engine            =@@global.storage_engine;
 set @`test`=1;
 select @test, @`test`, @TEST, @`TEST`, @"teSt";
@@ -384,7 +383,6 @@
 Error	1292	Truncated incorrect read_buffer_size value: '100'
 set read_rnd_buffer_size=100;
 set global server_id=100;
-set global slow_launch_time=100;
 set sort_buffer_size=100;
 Warnings:
 Error	1292	Truncated incorrect sort_buffer_size value: '100'
@@ -681,7 +679,6 @@
 set global net_write_timeout         =@my_net_write_timeout;
 set global net_read_timeout          =@my_net_read_timeout;
 set global server_id                 =@my_server_id;
-set global slow_launch_time          =@my_slow_launch_time;
 set global storage_engine            =@my_storage_engine;
 set global thread_cache_size         =@my_thread_cache_size;
 ERROR HY000: Unknown system variable 'thread_cache_size'

=== modified file 'tests/t/variables.test'
--- tests/t/variables.test	2009-04-02 23:43:48 +0000
+++ tests/t/variables.test	2009-04-08 16:11:12 +0000
@@ -18,7 +18,6 @@
 set @my_net_write_timeout         =@@global.net_write_timeout;
 set @my_net_read_timeout          =@@global.net_read_timeout;
 set @my_server_id                 =@@global.server_id;
-set @my_slow_launch_time          =@@global.slow_launch_time;
 set @my_storage_engine            =@@global.storage_engine;
 
 # case insensitivity tests (new in 5.0)
@@ -209,7 +208,6 @@
 set read_buffer_size=100;
 set read_rnd_buffer_size=100;
 set global server_id=100;
-set global slow_launch_time=100;
 set sort_buffer_size=100;
 set sql_big_selects=1;
 set sql_buffer_result=1;
@@ -578,7 +576,6 @@
 set global net_write_timeout         =@my_net_write_timeout;
 set global net_read_timeout          =@my_net_read_timeout;
 set global server_id                 =@my_server_id;
-set global slow_launch_time          =@my_slow_launch_time;
 set global storage_engine            =@my_storage_engine;
 --error 1193
 set global thread_cache_size         =@my_thread_cache_size;

